# ----
# KVM On Power spec file
# ----

# Use MD5 for file digest (backwards compatible)
%global _binary_filedigest_algorithm 1
%global _source_filedigest_algorithm 1

# use gzip compression level 9
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio

%define pkvm_version 3.4.4.0
%define pkvm_release 31
%define pkvm_respin .0

Name:      ibm-powerkvm-installer-engine
Version:   %{pkvm_version}
Release:   %{pkvm_release}%{?pkvm_respin}%{?dist}
License:   EPL
Vendor:    IBM
Packager:  LTC
Group:     Application
Summary:   %{label} installer
Source:    ibm-powerkvm-installer-engine.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  newt-python, python-pycurl, rpm-python, ibm-powerkvm-common

%description
%{label} installer tool

%prep
%setup -n %{name}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
cp -a ./ %{buildroot}
find %{buildroot} -name .gitignore -exec rm {} \;

%post
if [ $1 -eq 1 ]; then  # install
    # Do not print LVM warning in output - breaks newt screen
    echo "export LVM_SUPPRESS_FD_WARNINGS=1" >> /etc/profile
    # Do no print Kernel stuff in output - breaks newt screen
    echo "kernel.printk = 3 4 1 3" >> /etc/sysctl.conf
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/ibm/powerkvm
/opt/ibm/powerkvm/*
/usr/bin/powerkvm
%config %{_sysconfdir}/fstab
%config %{_sysconfdir}/multipath.conf
%config %{_sysconfdir}/sysconfig/network
